%define upstream_name    Sys-Load
%define upstream_version 0.2

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 24

Summary:	A perl5 module that indicate system load
License:	Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/B/BA/BARABAS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel


%description
getload() returns 3 elements: representing load averages over 
the last 1, 5 and 15 minutes. On failure empty list is returned.
uptime() returns the system uptime in seconds. Returns 0 on 
failure.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# Remove Local from path
find . -type f | xargs perl -p -i -e "s|/usr/local/|/usr/|g"

# lib64 fixes, don't add /usr/lib/X11 to linker search path
perl -pi -e "s|-L/usr/lib/X11||g;s|-L/usr/X11/lib||g;s|-L/usr/lib||g" Makefile.PL
perl -pi -e "s|(/usr/X11R6)/lib|\1/%{_lib}|g" Makefile.PL

%build
perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make_build

%check
%ifnarch ppc
%{__make} test
%endif

%install
%make_install

%files
%doc README
%{perl_vendorarch}/auto/Sys/Load/Load.so
%{perl_vendorarch}/Sys/Load.pm
%{_mandir}/man3/*


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 0.200.0-24.mga8
+ Revision: 1595276
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.200.0-23.mga8
+ Revision: 1529033
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tv <tv> 0.200.0-22.mga8
+ Revision: 1433024
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.200.0-21.mga7
+ Revision: 1293805
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 0.200.0-20.mga7
+ Revision: 1247610
- rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.200.0-19.mga7
+ Revision: 1166675
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.200.0-18.mga7
+ Revision: 1149196
- Rebuild for perl ABI changes

* Fri Jul 21 2017 tv <tv> 0.200.0-17.mga7
+ Revision: 1126249
- rebuild for perl 5.26

* Fri Jul 21 2017 tv <tv> 0.200.0-16.mga7
+ Revision: 1126197
- rebuild for perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.200.0-15.mga6
+ Revision: 1033596
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.200.0-14.mga6
+ Revision: 958011
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.200.0-13.mga6
+ Revision: 845300
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 0.200.0-12.mga6
+ Revision: 841071
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-11.mga5
+ Revision: 739565
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-10.mga5
+ Revision: 686287
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.200.0-9.mga5
+ Revision: 631724
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.200.0-8.mga4
+ Revision: 524110
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.200.0-7.mga4
+ Revision: 430077
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-6.mga3
+ Revision: 372964
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.200.0-5.mga3
+ Revision: 251168
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.200.0-4.mga2
+ Revision: 104999
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.200.0-3.mga1
+ Revision: 31206
- mageia rebuild
- imported package perl-Sys-Load

